Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class ContentImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.ContentImpl

All Implemented Interfaces:
  Externalizable, Serializable, Content, org.kie.internal.task.api.model.InternalContent

    @Entity
    public class ContentImpl

extends Object
implements org.kie.internal.task.api.model.InternalContent

See Also:
  Serialized Form

Constructor Summary
`ContentImpl()`
`ContentImpl(byte[] content)`

Method Summary
`boolean` | `equals(Object obj)`
`byte[]` | `getContent()`
`long` | `getId()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setContent(byte[] content)`
`void` | `setId(long id)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentImpl

    public ContentImpl()

### ContentImpl

    public ContentImpl(byte[] content)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public long getId()

  Specified by:
    `getId` in interface `Content`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `org.kie.internal.task.api.model.InternalContent`

### getContent

    public byte[] getContent()

  Specified by:
    `getContent` in interface `Content`

### setContent

    public void setContent(byte[] content)

  Specified by:
    `setContent` in interface `org.kie.internal.task.api.model.InternalContent`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.